Subject: Re: ssh/sshd and /dev/tty
From: [email-masked] (James Dumser)

6 Jan 1998 05:58:11 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Derek Young <[email-masked]>
Cc: "Patrick J. Fay" <[email-masked]>, [email-masked],
        [email-masked]

On Mon, 5 Jan 1998 14:58:48 -0700 (MST), Patrick J. Fay
  <[email-masked]> wrote:
>Let's try this all on your PC.
>Try:
>1st window
>./sshd -d
>2nd window
>env|grep HOST
>(for bash)
>export CYGWIN_TITLE=1
>export CYGWIN_TTY=1
>export DISPLAY='yourhost:0.0'
>export TERM=linux #this may not be necessary
>./ssh -v yourhost

I'm not using ssh/sshd, but from the conversation that's been going on,
I believe CYGWIN_TTY=1 is the important one. Sergey's DLL does not
support pseudo terminals without it (or if it's set to 0).

It's important to have CYGWIN_TTY set before cygwin.dll loads. Also, if
you eventually want to run sshd as a service, remember that the user it
will run as also needs to have CYGWIN_TTY set. I'd recommend putting
CYGWIN_TTY=1 in your global environment and then rebooting.

-- 
James Dumser    972.462.5335    [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".